#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EIntroducerRouting {
    FileShare = 0,
    P2PVoiceChat = 1,
    P2PNetworking = 2,
}

impl EIntroducerRouting {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::FileShare as i32 => Some(Self::FileShare),
            x if x == Self::P2PVoiceChat as i32 => Some(Self::P2PVoiceChat),
            x if x == Self::P2PNetworking as i32 => Some(Self::P2PNetworking),
            _ => None,
        }
    }
}
